//
//  MunchMonster.m
//  MonsterWars
//
//  Created by Ray Wenderlich on 10/24/12.
//  Copyright (c) 2012 Razeware LLC. All rights reserved.
//

#import "MunchMonster.h"

@implementation MunchMonster

- (id)initWithTeam:(int)team layer:(HelloWorldLayer *)layer {
    NSString * spriteFrameName = [NSString stringWithFormat:@"munch%d.png", team];
    if ((self = [super initWithSpriteFrameName:spriteFrameName layer:layer])) {
        self.curHp = 50;
        self.maxHp = 50;
        self.team = team;
        self.maxVelocity = 25;
        self.maxAcceleration = 25;
        self.isMelee = YES;
        self.meleeDamage = 10.0;
        self.meleeDestroySelf = NO;
        self.meleeDamageRate = 2.0;
        self.meleeAoe = YES;
        self.meleeSound = @"bigHit.wav";
    }
    return self;
}

@end
