//
//  HelloWorldLayer.h
//  MonsterWars
//
//  Created by Ray Wenderlich on 10/24/12.
//  Copyright Razeware LLC 2012. All rights reserved.
//


#import "cocos2d.h"

@class GameObject;
@class Player;
@class Laser;

@interface HelloWorldLayer : CCLayer

@property (assign) float humanQuirkValue;
@property (assign) float humanZapValue;
@property (assign) float humanMunchValue;
@property (assign) float humanTotalValue;
@property (assign) float aiQuirkValue;
@property (assign) float aiZapValue;
@property (assign) float aiMunchValue;
@property (assign) float aiTotalValue;

+ (CCScene *) scene;
- (int)oppositeTeam:(int)team;
- (Player *)playerForTeam:(int)team;
- (NSArray *)alliesOfTeam:(int)team;
- (NSArray *)enemiesOfTeam:(int)team;
- (GameObject *)closestEnemyToGameObject:(GameObject *)gameObject;
- (void)removeGameObject:(GameObject *)gameObject;
- (Laser *)createLaserForTeam:(int)team;
- (void)setPlayer:(Player *)player attacking:(BOOL)attacking;
- (void)spawnQuirkForPlayer:(Player *)player;
- (void)spawnZapForPlayer:(Player *)player;
- (void)spawnMunchForPlayer:(Player *)player;
- (NSArray *)enemiesWithinRange:(float)range ofPlayer:(Player *)player;

@end
